Large Open Orders (Order Book History)

This endpoint provides completed historical large limit orders from the order book for futures trading (thresholds: BTC ≥ 1M, ETH ≥ 500K, Other ≥ 50K)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: Real time for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "msg": "success",
  "data": [
    {
      "id": 2895605135,
      "exchange_name": "Binance",               // Exchange name
      "symbol": "BTCUSDT",                      // Trading pair
      "base_asset": "BTC",                      // Base asset
      "quote_asset": "USDT",                    // Quote asset
      "price": 89205.9,                         // Order price
      "start_time": 1745287309000,              // Order start time (milliseconds)
      "start_quantity": 25.779,                 // Initial order quantity
      "start_usd_value": 2299638.8961,          // Initial order value (USD)
      "current_quantity": 25.779,               // Remaining quantity
      "current_usd_value": 2299638.8961,        // Remaining value (USD)
      "current_time": 1745287309000,            // Current timestamp (milliseconds)
      "executed_volume": 0,                     // Executed volume
      "executed_usd_value": 0,                  // Executed value (USD)
      "trade_count": 0,                         // Number of trades executed
      "order_side": 1,                          // Order side: 1 = Sell, 2 = Buy
      "order_state": 2,                         // Order state:  2 = Filled
      "order_end_time": 1745287328000           // Order end time (milliseconds),start_time and end_time filter by order_end_time.
    }
    ....
  ]
}
Query Params
string
required
Defaults to Binance

Exchange name (e.g., Binance). Retrieve supported exchanges via the 'supported-exchange-pair' API.

string
required
Defaults to BTCUSDT

Trading pair (e.g., BTCUSDT). Check supported pairs through the 'supported-exchange-pair' API.

int64
required

Start timestamp in milliseconds (e.g., 1723625037000).

int64
required

End timestamp in milliseconds (e.g., 1723626037000).

int32
required
Defaults to 2

Order status description: 2: Finished; 3: Revoked (filled amount is 0)

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json